petsc-3.12.1 2019-10-22
Report Typos and Errors

# ISBuildTwoSided

Takes an IS that describes where we will go. Generates an IS that contains new numbers from remote or local on the IS.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISBuildTwoSided(IS ito,IS toindx, IS *rows)

Collective on IS

Input Parameters

| ito | - an IS describes where we will go. Negative target rank will be ignored
| toindx | - an IS describes what indices should send. NULL means sending natural numbering

### Output Parameter

rows -contains new numbers from remote or local

### See Also

MatPartitioningCreate(), ISPartitioningToNumbering(), ISPartitioningCount()

### Level

advanced

### Location

src/vec/is/is/utils/iscoloring.c

### Examples

src/ksp/ksp/examples/tutorials/ex64.c.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages